org.bdgenomics.adam.algorithms.smithwaterman

# SmithWaterman

#### trait SmithWaterman extends Serializable

Abstract class for implementing a Smith-Waterman pairwise alignment.

Contains shell code for everything except for building the pairwise alignment score matrix. This way, a new scoring method (e.g., affine gap, residue specific scores) can be implemented without needing to implement core functionality like trackback, etc.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Known Subclasses
SmithWatermanConstantGapScoring
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SmithWaterman
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val xSequence: String

   First sequence to align.

2. #### abstract val ySequence: String

   Second sequence to align.

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### lazy val cigarX: Cigar

   CIGAR strings and alignment start positions from the pairwise alignment process.

   CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

8. #### lazy val cigarY: Cigar

   CIGAR strings and alignment start positions from the pairwise alignment process.

   CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### lazy val xStart: Int

    CIGAR strings and alignment start positions from the pairwise alignment process.

    CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

25. #### lazy val yStart: Int

    CIGAR strings and alignment start positions from the pairwise alignment process.

    CIGAR strings and alignment start positions from the pairwise alignment process. The alignment start position may be non-zero if two strings are the same length, but the highest scoring alignment has bases deleted in one string/inserted in the other. In this case, some bases at the start/end of one string are expected to be "trimmed".

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped